server:
  port: 5022
# 加解密根密码
jasypt:
  encryptor:
    password: pig #根密码
# 暴露监控端点
management:
  endpoints:
    web:
      exposure:
        include: "*"
  endpoint:
    health:
      show-details: ALWAYS
## spring security 配置
security:
  oauth2:
    client:
      client-id: ENC(27v1agvAug87ANOVnbKdsw==)
      client-secret: ENC(VbnkopxrwgbFVKp+UxJ2pg==)
      scope: server
    resource:
      loadBalanced: true
      token-info-uri: http://yifu-auth/oauth/check_token
    # 直接放行URL
    ignore:
      urls:
        - /v3/api-docs
        - /actuator/**
        - /swagger-ui/**

# mybaits-plus配置
mybatis-plus:
  mapper-locations: classpath:/mapper/*Mapper.xml
  global-config:
    banner: false
    db-config:
      id-type: auto
      table-underline: true
      logic-delete-value: 1
      logic-not-delete-value: 0
  configuration:
    map-underscore-to-camel-case: true

spring:
  application:
    name: @artifactId@